net.sf.jasperreports.engine.export.tabulator

## Class BaseElementCell

- java.lang.Object
- - net.sf.jasperreports.engine.export.tabulator.BaseElementCell

- All Implemented Interfaces:
    Cell
  Direct Known Subclasses:
    ElementCell, FrameCell

      public abstract class BaseElementCell
      extends java.lang.Object
      implements Cell

  Version:
    $Id: BaseElementCell.java 6066 2013-04-16 08:00:09Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `elementIndex`
    `protected FrameCell` | `parent`
    `protected PrintElementIndex` | `parentIndex`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseElementCell(FrameCell parent, PrintElementIndex parentIndex, int elementIndex)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getElementIndex()`
    `FrameCell` | `getParent()`
    `PrintElementIndex` | `getParentIndex()`
    `void` | `setParent(FrameCell parent)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.export.tabulator.Cell

      `accept, split`

- - ### Field Detail

    - #### parent

          protected FrameCell parent

    - #### parentIndex

          protected PrintElementIndex parentIndex

    - #### elementIndex

          protected int elementIndex

  - ### Constructor Detail

    - #### BaseElementCell

          public BaseElementCell(FrameCell parent,
                         PrintElementIndex parentIndex,
                         int elementIndex)

  - ### Method Detail

    - #### getParent

          public FrameCell getParent()

      Specified by:
        `getParent` in interface `Cell`

    - #### setParent

          public void setParent(FrameCell parent)

    - #### getParentIndex

          public PrintElementIndex getParentIndex()

    - #### getElementIndex

          public int getElementIndex()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com